Changeset 7395fa5 in rtems


Ignore:
Timestamp:
Nov 7, 2002, 4:29:56 PM (19 years ago)
Author:
Ralf Corsepius <ralf.corsepius@…>
Branches:
4.10, 4.11, 4.8, 4.9, 5, master
Children:
7c9a598
Parents:
3d4c7390
Message:

2002-11-07 Ralf Corsepius <corsepiu@…>

  • bootstrap: Allow autoconf > 2.52, automake > 1.6.
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • ChangeLog

    r3d4c7390 r7395fa5  
     12002-11-07      Ralf Corsepius <corsepiu@faw.uni-ulm.de>
     2
     3        * bootstrap: Allow autoconf > 2.52, automake > 1.6.
     4
    152002-11-07      Ralf Corsepius <corsepiu@faw.uni-ulm.de>
    26
  • bootstrap

    r3d4c7390 r7395fa5  
    1313# source tree
    1414
    15 AUTOCONF_VERS=2.52
    16 AUTOMAKE_VERS=1.6.[123]
     15AUTOCONF_VERS=2\.5[2345]
     16AUTOMAKE_VERS=1\.[76]
    1717
    1818progname=`basename $0`
     
    100100    echo "You must have autoconf installed to run $program"
    101101  fi
    102   AUTOCONF_VER=`$AUTOCONF --version 2>/dev/null`
    103   if test -z "`echo $AUTOCONF_VER | grep \" $AUTOCONF_VERS\"`"; then
     102  if test -z "`$AUTOCONF --version 2>/dev/null | grep -e \" $AUTOCONF_VERS\"`"; then
    104103cat << EOF
    105104RTEMS requires autoconf version $AUTOCONF_VERS.
     
    114113    echo "You must have automake installed to run $program"
    115114  fi
    116   AUTOMAKE_VER=`$AUTOMAKE --version 2>/dev/null`
    117   if test -z "`echo $AUTOMAKE_VER | grep \" $AUTOMAKE_VERS\"`"; then
     115  if test -z "`$AUTOMAKE --version 2>/dev/null | grep -e \" $AUTOMAKE_VERS\"`"; then
    118116cat << EOF
    119117RTEMS requires automake version $AUTOMAKE_VERS.
Note: See TracChangeset for help on using the changeset viewer.